{
  "name": "innovationlabdolomiti-colture-vite",
  "version": "1.0.0",
  "author": "InnovationLab - Belluno",
  "homepage": "https://www.innovationlabdolomiti.it/",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "dev": "ionic serve --port 3000",
    "build": "ionic build --prod --source-map",
    "buildProd": "ionic build --prod -- --base-href https://opencontent.gitlab.io/innovationlab/app-colture-vite/",
    "format:fix": "pretty-quick --staged",
    "format:check": "prettier --config ./.prettierrc --list-different \"src/{app,environments,assets}/**/*{.ts,.js,.json,.css,.scss}\"",
    "format:all": "prettier --config ./.prettierrc --write \"src/{app,environments,assets}/**/*{.ts,.js,.json,.css,.scss}\"",
    "sync": "npx cap sync",
    "open-ios": "npx cap open ios",
    "open-android": "npx cap open android",
    "dev-ios": "ionic build && npx cap sync && ionic cap run ios -l --external",
    "dev-android": "ionic build && npx cap sync &&  ionic cap run android -l --external",
    "resources": "cordova-res ios && cordova-res android && node scripts/resources.js"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "^13.3.6",
    "@angular/common": "~13.3.6",
    "@angular/core": "~13.3.6",
    "@angular/forms": "~13.3.6",
    "@angular/platform-browser": "~13.3.6",
    "@angular/platform-browser-dynamic": "~13.3.6",
    "@angular/router": "~13.3.6",
    "@angular/service-worker": "~13.3.6",
    "@apollo/client": "^3.6.2",
    "@capacitor/android": "^3.5.1",
    "@capacitor/browser": "^1.0.7",
    "@capacitor/camera": "^1.3.1",
    "@capacitor/core": "^3.5.1",
    "@capacitor/geolocation": "^1.3.1",
    "@capacitor/ios": "^3.5.1",
    "@capacitor/splash-screen": "^1.2.2",
    "@capacitor/toast": "^1.0.8",
    "@fortawesome/angular-fontawesome": "^0.10.2",
    "@fortawesome/fontawesome-svg-core": "^6.1.1",
    "@fortawesome/free-brands-svg-icons": "^6.1.1",
    "@fortawesome/free-regular-svg-icons": "^6.1.1",
    "@fortawesome/free-solid-svg-icons": "^6.1.1",
    "@ionic-native/core": "^5.36.0",
    "@ionic-native/splash-screen": "^5.36.0",
    "@ionic-native/status-bar": "^5.36.0",
    "@ionic/angular": "^6.1.4",
    "@ionic/pwa-elements": "^3.1.1",
    "@ionic/storage": "3.0.6",
    "@ionic/storage-angular": "^3.0.6",
    "@types/leaflet.markercluster": "^1.4.6",
    "@types/underscore": "^1.11.4",
    "apollo-angular": "^3.0.1",
    "get-npm-package-version": "^1.1.0",
    "graphql": "^16.5",
    "jwt-decode": "^3.1.2",
    "leaflet": "^1.8.0",
    "leaflet-geojson-vt": "^1.1.0",
    "leaflet-geosearch": "^3.6.0",
    "leaflet.markercluster": "^1.5.3",
    "rxjs": "~6.6.7",
    "tslib": "^2.4.0",
    "zone.js": "~0.11.5"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "^13.3.5",
    "@angular/cli": "~13.3.5",
    "@angular/compiler": "~13.3.6",
    "@angular/compiler-cli": "~13.3.6",
    "@angular/language-service": "~13.3.6",
    "@capacitor/cli": "^3.5.1",
    "@ionic/angular-toolkit": "^6.1.0",
    "@types/leaflet": "^1.7.9",
    "@types/node": "^17.0.31",
    "codelyzer": "^6.0.2",
    "cordova-res": "^0.15.4",
    "husky": "8.0.1",
    "lint-staged": "12.4.1",
    "prettier": "2.6.2",
    "pretty-quick": "3.1.3",
    "protractor": "~7.0.0",
    "ts-node": "~10.7.0",
    "tslint": "~6.1.0",
    "typescript": "~4.6.4"
  },
  "description": "InnovationLab - Belluno",
  "husky": {
    "hooks": {
      "pre-commit": "pretty-quick --staged"
    }
  }
}
